Summary: GNU g++ library
Name: libg++
Version: 2.7.2.8
Release: 9
Copyright: LGPL
Group: Libraries
Source0: ftp://prep.ai.mit.edu/pub/gnu/libg++-2.7.2.tar.gz
Source1: libg++-2.7.2-binaries.tar.gz
Patch0: ftp://tsx-11.mit.edu/pub/linux/packages/GCC/libg++-2.7.2-2.7.2.7.diff.gz
Patch1: ftp://tsx-11.mit.edu/pub/linux/packages/GCC/libg++-2.7.2.7-2.7.2.8.diff.gz
Patch2: libg++-2.7.2-strcpsn.patch
Buildroot: /var/tmp/libgpp-root
Exclusivearch: i386
Summary(de):  GNU g++-Library 
Summary(fr): Bibiothque g++ GNU.
Summary(tr): GNU g++ kitapl

%changelog
* Thu May 07 1998 Prospector System <bugs@redhat.com>

- translations modified for de, fr, tr

* Mon Apr 20 1998 Cristian Gafton <gafton@redhat.com>
- ExclusiveArch: i386
- added the precompile binaries for i386. egcs C++ compiler can not compile
  this anymore, and this package is a compatibility package anyway, so...

* Wed Apr 15 1998 Cristian Gafton <gafton@redhat.com>
- build only the runtime package. For C++ development one should use the
  libstdc++ that comes with egcs instead.
- added a buildroot

* Tue Nov 04 1997 Erik Troan <ewt@redhat.com>
- hacked to build w/ -fPIC 
- fixed info file inclusion

* Mon Oct 13 1997 Donnie Barnes <djb@redhat.com>
- spec file cleanups

%description
This is the GNU implementation of the standard C++ libraries, along
with additional GNU tools.
This package includes the shared libraries necessary to run C++
applications.

#%prep
#%setup -q -n libg++-2.7.2
#%patch0 -p1
#%patch1 -p1

#%ifarch sparc
#%patch2 -p1
#%endif

#%build
#OS=`echo $RPM_OS | tr '[A-Z]' '[a-z]'`
#CXX="g++" ./configure --prefix=/usr --with-shared --enable-shared ${RPM_ARCH}-redhat-${OS}-gnu
#mv Makefile Makefile.djb
#sed "s/^PIC.*=[ 	]*$/&-fPIC/" < Makefile.djb > Makefile
#make CXX=g++

%clean
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
tar xzvf $RPM_SOURCE_DIR/libg++-2.7.2-binaries.tar.gz -C $RPM_BUILD_ROOT
#make install install-info prefix=$RPM_BUILD_ROOT/usr
#gzip -9fn $RPM_BUILD_ROOT/usr/info/*info*

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
/usr/lib/libstdc++.so.2.7.2.8
/usr/lib/libg++.so.2.7.2.8
